<?php
/*
 *      clickimage.php
 *
 *      Copyright 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


require dirname(__FILE__).'/../../inc/prepend.php';
$auth->check(1);

/**************** POPUP D'INSERTION ************************/



/*** Variables  ***/

//Chemin vers les fichiers
$fichier_conf_user = '/conf/'.$_SESSION['sess_user_id'].'.ini';
$fichier_conf_global = '/conf/clickimage.ini';


/*** Code ***/

require dirname(__FILE__)."/fonctions.php";

// lecture des fichiers de configuration
$globalconf = clickimage::readconf($fichier_conf_global);


/*** Affichage de l'entete ***/

l10n::set(dirname(__FILE__).'/l10n/'.DC_LANG.'-utf8/clickimage'); //Chargement du fichier de traduction

echo '
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>

    <head>
      <title>'.__('Insérer une image').' - ClickImage</title>
      <meta name="GENERATOR" content="Screem">
      <meta name="AUTHOR" content="Jonas Fourquier">
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <style type="text/css">
        @import "../../style/default.css";
      </style>
      <script type="text/javascript">
        function visibilite(thingId)
        {
            var targetElement;
            targetElement = document.getElementById(thingId) ;
            if (targetElement.style.display == "none")
            {
                targetElement.style.display = "" ;
                this.resizeTo(345,'.$globalconf['h_popup_deplier'].');
                document.images["aChanger"].src="../../images/moins.png"
            } else {
                targetElement.style.display = "none" ;
                this.resizeTo(345,'.$globalconf['h_popup_plier'].');
                document.images["aChanger"].src="../../images/plus.png"
            }
        }
    </script>
    </head>
    <body class="popup" style="margin-top:15px; margin-bottom: 0px" onload="visibilite(\'optionsupp\');">
    <div id="main"><div id="content" style="margin-right: 15px; margin-top: -10px">
    ';


// Envoi de l'image
if ($HTTP_POST_VARS['envoie'])
{
    // Extention de fichier
    $extensions_ok = array_merge(explode(",", $globalconf['ext_jpg'].",".$globalconf['ext_gif'].",".$globalconf['ext_png']));

    //Dossier image
    $dest_dossier = str_replace(    array ('%d%','%m%','%y%','%Y%','%auteur%'),
                                array(date('d'),date('m'),date('y'),date('Y'),$_SESSION['sess_user_id']),
                                $globalconf['dest_dossier']
                            );

    clickimage::mk_chemin($dest_dossier);

    clickimage::writeconf($fichier_conf_user, $_POST);
    if (file_exists (dirname(__FILE__).$fichier_conf_user)) {
        $userconf = clickimage::readconf($fichier_conf_user);
    }

    if ($_FILES['img_hdd']['name'] == null) {
        $orig = clickimage::copier($POST['img_web']);
    } else {
        $orig = clickimage::envoi('img_hdd');
    }

    //Création de la miniature
    $min = clickimage::miniature($orig, 'min');

    // reduction de l'original si demander
    if ($globalconf['reduct_orig'] == "checked")
    {
        $orig = clickimage::miniature($orig, 'orig');
        /*unlink($orig);
        rename($origtmp,$orig);*/
    }

    //modif des permissions
    @chmod ($orig,0644);
    @chmod ($min,0644);

    //Création et insertion du lien
    echo'
        <script type="text/javascript" src="../../js/toolbar.js"></script>
        <script type="text/javascript">
            if (document.getElementById) {
                var tbImg = new dcToolBar(window.opener.document.getElementById(\'p_content\'),
                window.opener.document.getElementById(\'p_format\'),\'images/\');
            }
            tbImg.insImgClick(\''.clickimage::lien($min,$orig).'\');';
    if ($globalconf['debug'] == 'checked') {
        echo '
        </script>
        <p style="color:red">Le script fonctionne en mode "debug".</p>';
    }elseif ($_POST['serie_image']) {
        echo'
            window.location.replace("clickimage.php?format='.$_GET['format'].'");
        </script>';
    }else{
        echo'
            window.close();
        </script>';
    }

    clickimage::retour();
}
else
{
    if (file_exists (dirname(__FILE__).$fichier_conf_user)) {
        $userconf = clickimage::readconf($fichier_conf_user);
    }

    /*** Affichage contenu ***/
    echo '
        <form name="boite" method="post" action="clickimage.php?format='.$_GET['format'].'" enctype="multipart/form-data" accept="image/png, image/gif, image/jpg">
        '.dcNonce::form().'

        <!-- Envoie le type de format par formulaire -->
        <input type="hidden" name="format" value="'.$_GET['format'].'">

        <fieldset><legend>'.__('Insérer une image').'</legend>
        ';

    if ($globalconf['popup_imghdd'] == 'checked')
    {
        echo '
        <dt>'.__('Image sur le disque dur').'</dt>
        <dd><label for="img_hdd"></label><input type="file" name="img_hdd" accept="image/png, image/gif, image/jpg" /></dd>
        ';
    }

    if ($globalconf['popup_imgweb'] == 'checked')
    {
        echo '
        <dt>'.__('Image sur le net').'<dt>
        <dd>'.form::field('img_web',34,'',__('Collez ici le lien vers l\'image" onfocus="this.value=\'\'')).'</dd>
        ';
    }

    echo '<script type="text/javascript" src="../../js/tools.js"></script>'; /* je sais plus a quoi ca sert*/

    if ($globalconf['popup_position'] == 'checked')
    {
        echo '
        <dt>'.__('Format d\'insertion').'</dt>
        <dd>'.
        form::combo('position',array(
            __('Texte à droite de l\'image') => 'gauche',
            __('Texte à gauche de l\'image') => 'droite',
            __('Image centrée')              => 'centre',
            __('Image comme caractère')      => 'caract'),
            $userconf['position']).'
        </dd>
        ';
    }

    echo '
        <dt>'.__('Texte alternatif/Commentaire').'</dt>
            <dd>'.form::field('text',34,'').'</dd>
        ';

    /*** Debut des opitons supplémentaire ***/
    echo'
        <dt><a href="javascript:visibilite(\'optionsupp\');"><img name="aChanger" src="../../images/plus.png"></a> '.__('Options supplémentaires').'</dt>
        <div id="optionsupp"><dd>
        ';

    if ($globalconf['preconf']  == "lightbox")
    {
        echo'
        <p>'.clickimage::checked($userconf, 'mode_album',__('Utiliser le mode "album" de lightbox'))
         .'
         <span style="margin-left: 1.6em"> '.__('Nom').' : <input type="text" name="album" value="'.$userconf['album'].'" size="8"></p></span>
        ';
    }

    if ($globalconf['popup_reso'] == 'checked')
    {
        echo'
        <p>'.clickimage::checked($userconf, 'change_reso',__('Changer la résolution de la miniature')).'<br>
        <span style="margin-left: 1.6em">'.
        form::field('min_reso_L',2,'',$userconf['min_reso_L']).'px '.__('en largeur').
        form::field('min_reso_H',2,'',$userconf['min_reso_H']).'px '.__('en hauteur').'</p>
        ';
    }

    if ($globalconf['popup_recadrer'] == 'checked')
    {
        echo'
        <p>'.clickimage::checked($userconf,'recadrer',__('Recadrer la miniature')).'.
        ';
    }

    echo'
        </dd></div>

        </fieldset>
        <p><input style="float: right;" type="submit" name="envoie" value="'.__('Envoyer').'" class="env"></p>
        '.clickimage::checked($userconf, 'serie_image',__('Continuer l\'envoi d\'images')).'</p>
        </form>
        ';
}
echo'
    </div></div></body></html>
    ';
?>
