<?php
/*
 *      cp_toolbar.php
 *
 *      Copyright 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


require dirname(__FILE__).'/../../inc/prepend.php';
$auth->check(9);

l10n::set(dirname(__FILE__).'/l10n/'.DC_LANG.'-utf8/popup');

/*** Variable ***/
$toolbar = array(
    'name'          => 'toolbar.js',                             //Nom du fichier
    'courant'       => '../../js/toolbar.js',                    //Chemin fichier utilisé par dc
    'sauvegarde'    => '../../js/toolbar.js.backupclickimage',   //Chemin fichier sauvegarde
    'modifier'      => 'fichiers_a_copier/toolbar.js',           //Chemin fichier modifier pour clickimage
    //$md5courant = md5_file($courant);                          //Somme MD5 du fichier utilisé par dc
    'md5dotclear'   => '5277ac366bdb4962590745c11ac9e75b'        //Somme MD5 du fichier original de dc
);

$jshelper = array(
    'name'          => 'lib.jshelpers.php',                      //Nom du fichier
    'courant'       => '../../inc/lib.jshelpers.php',            //Chemin fichier utilisé par dc
    'sauvegarde'    => '../../inc/lib.jshelpers.php.backupclickimage', //Chemin fichier sauvegarde
    'modifier'      => 'fichiers_a_copier/lib.jshelpers.php',    //Chemin fichier modifier pour clickimage
    //$md5courant = md5_file($courant);                          //Somme MD5 du fichier utilisé par dc
    'md5dotclear'   => '8fc4e2e5ee296739efc642df3c860038'        //Somme MD5 du fichier original de dc
);

class cp_file_clickimage
{
    function checkfile($file)
    {
        $error = 0;

        //vérifie si des sauvegarde existe déjà
        if (file_exists($file['sauvegarde'])) {
            $file['error'] += 1;
            echo '
                <li>'.
                __('Une sauvegarde (crée par ClickImage) du fichier').'
                    <code>'.$file['name'].'</code> '.__('existe déjà.').'
                </li>';
        }
        if (md5_file($file['courant']) != $file['md5dotclear']) {
            $error += 1;
            echo '
                <li>'.
                __('La somme MD5 du fichier').' <code>'.$file['name'].'</code> '.
                __('ne correspond pas. Il a probablement déja été modifié pour un
                    plugin. Si vous l\'écraser vous risquez d\'avoir des dysfonctionnements').'
                </li>';
        }
        return $error;
    }


    function install($file)
    {
        echo '<li>'.__('copie de').' : <code>'.$file['name'].'</code></li>';

        //Suprression de l'ancien fichier de sauvegarde
        if (file_exists($file['sauvegarde']))
            unlink ($file['sauvegarde']);

        //Sauvagrde du fichier actuelle et remplacement par la version clickimage
        rename ($file['courant'], $file['sauvegarde']);
        copy ($file['modifier'], $file['courant']);
        @chmod ($file['courant'], 0644);
    }


    function uninstall($file)
    {
        echo '<li>'.__('Restauration de').' : <code>'.$file['name'].'</code></li>';
        unlink ($file['courant']);
        rename ($file['sauvegarde'], $file['courant']);
    }
}

echo '
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>

    <head>
      <title>toolbar.js</title>
      <meta name="GENERATOR" content="Screem">
      <meta name="AUTHOR" content="Jonas Fourquier">
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <style type="text/css">
        @import "../../style/default.css";
        code {
            color : gray;
            font-weight : normal;
            font-size : 95%;
        }
      </style>
    </head>

    <body class="popup">
    <div id="main"><div id="content" style="text-align: justify">
    ';

/*** Contenu + fonction de suppresion/remplacement en fonction de lien du quel on vient ***/
switch ($_GET['quoi'])
{
    //On arrive du lien pour installer le plugin
    case 'copier' :
        echo '<h2>'.__('Copier les fichiers').'</h2>';

        echo '<ul style:color=red';
        $error = 0;
        $error += cp_file_clickimage::checkfile($toolbar);
        $error += cp_file_clickimage::checkfile($jshelper);
        echo '</ul>';

        if ($error != 0) {
            echo '
                <p>'.
                __('Voulez-vous quand même remplacer les fichiers ?').
                '</p>

                <ul>
                    <li>
                        <a href="?quoi=ecraser">'.__('Oui').'</a>, '.
                        __('il sera toujours possible de restaurer les fichiers
                            actuels via la procédure de désinstallation').'.
                    </li>
                    <li>
                        <a href="?quoi=explication">'.__('Non').'</a>, '.
                        __('Je souhaites plus d\'information pour modifier à la main ces fichiers').'.
                    </li>
            ';
        } else {
            echo '<ul>';
            cp_file_clickimage::install($toolbar);
            cp_file_clickimage::install($jshelper);
            echo '</ul>
                <p>'.__('Si il n\'y a aucun message d\'erreur').' '.__('les fichiers ont été copiés').'</p>';
        }

        break;


    // On vient du lien pour désinstaller le plugin
    case 'restaurer' :
        echo '<h2>'.__('Restaurer les fichiers').'</h2>';

        echo '<ul>';
        cp_file_clickimage::uninstall($toolbar);
        cp_file_clickimage::uninstall($jshelper);
        echo '</ul>
            <p>'.__('Si il n\'y a aucun message d\'erreur').' '.__('les fichiers ont été réstauré').'.</p>';

        break;


    // On arrive de cette meme page avec ordre d'ecraser les fichier
    case 'ecraser' :
        echo '<h2>'.__('Écrasement des fichiers').'</h2>';

        echo '<ul>';
        cp_file_clickimage::install($toolbar);
        cp_file_clickimage::install($jshelper);
        echo '</ul>
            <p>'.__('Si il n\'y a aucun message d\'erreur').' '.__('Les fichiers ont été copier').'.</p>';

        break;


    // On veut des explications
    case 'explication' :
        echo '<h2>'.__('Modification des fichiers à la main').'</h2>

        <p>'.__('Traducteur : faites une explication des modifs à faire à la main').'.</p>';

    break;

}

echo
    '<p align="center"><a href="#" onclick="window.close(); return; false">['.__('fermer').']</a></p>
    </div></div>
    </body>';
?>
