<?php
/*
 *      index.php
 *
 *      Copyright 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*** Variables ***/

// A propos de la version
$version = "0.111.3";
$site = "http://jonas.tuxfamily.org/wiki/dotclear/clickimage";

// Chaines de caractères utilisée fréquement
$charOK = '<p style="color:green;"><span style="text-decoration:blink underline;">/!\</span> ';
$charKO = '<p style="color:red;"><span style="text-decoration:blink underline;">/!\</span> ';

// Chemins vers de fichier
$url = 'tools.php?p=clickimage';
$dir_clickimage = dc_app_url.'/ecrire/tools/clickimage/';
$fichier_conf_global = '/conf/clickimage.ini';
$save_fichier_conf_global = '/../../../share/clickimage.ini';
$dir_preconf =  '/conf/preconf/';




/*** Code ***/

require (dirname(__FILE__)."/fonctions.php");

if ($_POST['enregister']||$_POST['charger'])
{
    //Hauteurs du popup (plier ou deplier)
    if (!$_POST['h_popup_auto'])
        $Hpopup = clickimage::h_popup();
    else
        $Hpopup = array(
            'h_popup_plier'   => $_POST['h_popup_plier'],
            'h_popup_deplier' => $_POST['h_popup_deplier']
        );

    // Ecriture des champs du formulaire dans le fichier de config
    if (clickimage::writeconf($fichier_conf_global,array_merge($_POST,$Hpopup)))
        $message_enregistrement = $charOK.__('La configuration a été sauvée').'</p>';
    else
        $message_enregistrement = $charKO.__('Il y a eu une erreur lors de l\'enregistrement de la configuration').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur').' <code>'.$fichier_conf_global.'</code>.</p>';

    if ($_POST['charger'])
    {
        // Chargement d'une préconfiguration et ecriture de celle-ci dans la fichier de config
        if (clickimage::writeconf($fichier_conf_global, clickimage::readconf($dir_preconf.$_POST['preconf'].'.ini')))
        {
            $message_enregistrement = $charOK.__('La préconfiguration a été chargée').'</p>';
        }
        else
        {
            $message_enregistrement =$charKO.__('Il y a eu une erreur lors de l\'enregistrement de la configuration').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur').' <code>'.$dir_clickimage.$fichier_conf_global.'</code>.</p>';
        }
    }
}
elseif ($_POST['copie'])
{
    //copie du fichier de configuration
    if (copy (dirname(__FILE__).$fichier_conf_global,dirname(__FILE__).$save_fichier_conf_global))    {
        $message_enregistrement = $charOK.__('Le fichier de configuration a été copié').'</p>';
    } else {
        $message_enregistrement = $charKO.__('Il y a eu une erreur lors de la copie du fichier de configuration').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur').' <code>'.dc_app_url.'/share/</code>.</p>';
    }
}
elseif ($_POST['restauration'])
{
    //Restauration du fichier de config
    if (file_exists(dirname(__FILE__).$save_fichier_conf_global))
        if (copy (dirname(__FILE__).$save_fichier_conf_global, dirname(__FILE__).$fichier_conf_global))
        {
            @chmod (dirname(__FILE__).$fichier_conf_global,0644);
            $message_enregistrement =  $charOK.__('La configuration a été restaurée').' </p>';
        } else {
            $message_enregistrement =  $charKO.__('La configuration n\'a pas pu être restaurée').'.  '.__('Vérifier si vous possédez les droits d\'écriture sur ').'<code>'.$fichier_conf_global.'</code>'.__('ainsi que sur son dossier').'.</p>';
        }
    else
    {
        $message_enregistrement =  $charKO.__('La configuration n\'a pas pu être restaurée').' '.__('car le fichier de restauration n\'existe pas').'.</p>';
    }
}


//Lecture de la configuration
$globalconf = clickimage::readconf($fichier_conf_global);

//tester le chemin a faire


/*** Affichage ***/

$mySubMenu->addItem(__('Présentation'),array($url),$icon,false);
$mySubMenu->addItem(__('Configuration'),array($url.'&page=config'),$icon,false);
$mySubMenu->addItem(__('Installation/désinstallation'),array($url.'&page=install'),$icon,false);
$mySubMenu->addItem(__('Apropos'),array($url.'&page=apropos'),$icon,false);


buffer::str('
    <script type="text/javascript">
        function visibilite(thingId)
        {
            var targetElement;
            targetElement = document.getElementById(thingId) ;
            if (targetElement.style.display == "none")
            {
                targetElement.style.display = "" ;
                document.images["aChanger"].src="images/moins.png"
            } else {
                targetElement.style.display = "none" ;
                document.images["aChanger"].src="images/plus.png"
            }
        }
    </script>


<style>
    @import "'.$dir_clickimage.'/style.css";
</style>


');
if (empty($_GET['page'])) {
/*******************************************************************************
/* PRESENTATION
/******************************************************************************/
    buffer::str('
        <h2>ClickImage</h2>');
             // Permission sur le dossier /conf
            if (!is_writable(dirname(__FILE__).'/conf'))
                 buffer::str($charKO.__('Le dossier').'<code>/ecrire/tools/clickimage/conf</code> '.
                    __('n\'est pas accessible en écriture, Clickimage ne pourra pas fonctionner').'.</p>');
            if (!is_writable(dirname(__FILE__).'/../../../images'))
                buffer::str($charKO.__('Le dossier').' <code>/images</code> '.__('n\'est pas accessible en écriture, Clickimage ne pourra pas fonctionner').'.</p>');
    buffer::str('
        <h3>'.__('Présentation').'</h3>

        <p>'.__('Traducteur : faites un présentation du plugin').'</p>

        <h3>'.__('Sommaire').'</h3>

        <ul id="sommaire">
            <li>
                <a href="'.$url.'&page=config">'.__('Configuration').'</a> :
                <span>'.__('configurer la taille de miniatures, comment s\'ouvrent les images ...').'</span>
            </li>
            <li>
                <a href="'.$url.'&page=install">'.__('Installation').'</a> :
                <span>'.__('les différentes opérations à effectuer pour que le plugin fonctionne.').'</span>
            </li>
            <li>
                <a href="'.$url.'&page=install#uninstall">'.__('Désinstallation').'</a> :
                <span>'.__('comment supprimer ce plugin ?').'</span>
            </li>
            <li>
                <a href="'.$url.'&page=info">'.__('Apropos').'</a> :
                <span>'.__('version du script, le site ...').'</span>
            </li>
        </ul>
        ');


} elseif ($_GET['page'] == 'config')
/*******************************************************************************
/* CONFIGRATION
/******************************************************************************/
    buffer::str('
        <h2>ClickImage - '.__('Configuration').'</h2>

        <form method="post" action="'.$url.'&page=config" >'.
        dcNonce::form().

        $message_enregistrement.'


        <h3>'.__('Copier/restaurer de la configuration').'</h3>

        <p>'.__('Traducteur : expliquez à quoi sert la sauvegarde des fichier de configuration').'</p>

        <span style="left : 2em; position : relative;"><input type="submit" value="'.__('Copier la configuration').'" name="copie"> <input type="submit" value="'.__('Restaurer la configuration').'" name="restauration"></span>


        <h3>'.__('Chemin du dossier contenant les images').'</h3>

        <p>'.__('Chemin du dossier où seront stockées les images (sans le "/" au début, avec à la fin). Il est possible de créer des ').' <a href="'.$dir_clickimage.'help_dossierdyn.php?auteur='.$_SESSION['sess_user_id'].'" onclick="window.open (this.href, \'image\', config=\'toolbar=no, height=350, width=400\'); return false;">'.__('dossiers "dynamiques"').'<img src="images/ico_help.png" alt="help"></a>.<br>
        <span style="left: 2em; position: relative;">'.dc_app_url.'/'.
        form::textArea('dest_dossier',50,1,$globalconf['dest_dossier'],'','style="vertical-align : middle; height: 1.4em;"').'
        </span></p>


        <h3>'.__('Images envoyées').'</h3>

        <p>'.
        __('Les images envoyées <a title="Souvent les serveurs limitent la taille des fichiers lors de leur envoie à 2Mo" class="info">ne doivent pas dépasser</a> les').' '.
        form::field('taille_max',2,'',$globalconf['taille_max']).' Mo.
        </p>

        <p>'.
        clickimage::checked($globalconf,'reduct_orig',__('Réduire la résolution des images lors de leur envoi.')).'<br />'.
        __('Attention, cette fonctionnalité peut utiliser beaucoup de ressources serveurs. Si vous avez des problèmes essayez de désactivé cette option').'.<br />'.
        __('Leur résolution ne doit pas dépasser les').' : <br />
        <span style="left: 3em; position: relative;">'.
            form::field('orig_reso_L',3,'',$globalconf['orig_reso_L']).'px '.__('en largeur').'</span>
        <span style="left: 3em; position: relative;">'.
            form::field('orig_reso_H',3,'',$globalconf['orig_reso_H']).'px '.__('en hauteur').'</span>
        </p>


        <h3>'.__('Miniatures').'</h3>

        <p>'.
        __('La résolution des miniatures ne doit pas dépasser les :').'<br />
        <span style="left : 2em; position : relative;">'.
            form::field('min_reso_L',3,'',$globalconf['min_reso_L']).'px '.__('en largeur').'</span>
        <span style="left : 3em; position : relative;">'.
            form::field('min_reso_H',3,'',$globalconf['min_reso_H']).'px '.__('en hauteur').'</span>
        </p>

        <p>'.
        clickimage::checked($globalconf,'recadrer',__('Recadrer les miniatures pour qu\'elles prennent les dimensions exactes indiquée ci-dessus')).'.
        </p>

        <p>'.
        __('Position de la miniature :').' '.
        form::combo('position',array(
            __('Texte à droite de l\'image') => 'gauche',
            __('Texte à gauche de l\'image') => 'droite',
            __('Image centrée')              => 'centre',
            __('Image comme caractère')      => 'caract'),
            $globalconf['position']).'
        </p>


        <h3>'.__('Options disponibles dans le popup d\'insertion').'</h3>

        <p>'.
        clickimage::checked($globalconf,'popup_imghdd',__('Envoi d\'images à partir du disque dur')).'.<br />'.
        clickimage::checked($globalconf,'popup_imgweb',__('Envoi d\'images à partir d\'autre site')).'.<br />'.
        clickimage::checked($globalconf,'popup_position',__('Choix de la position de la miniature')).'.<br />'.
        clickimage::checked($globalconf,'popup_reso',__('Choix de la résolution de la miniature')).'<br />'.
        clickimage::checked($globalconf,'popup_recadrer',__('Possibilité de recadrer ou non la miniature')).
        '.</p>


        <h3>'.__('Ouverture des images').'</h3>

        <p>'.
        __('Ouvrir les images').' '.
        form::combo('preconf',array(
            __('dans la même fenêtre') => 'ici',
            __('dans une nouvelle fenêtre (HTML uniquement)') => 'blank',
            __('dans un popup aux dimensions de celle-ci (HTML uniquement)') => 'popup',
            __('avec le plugin Lightbox JS pour DotClear') => 'lightbox'),
            $globalconf['preconf']).'
        <input type="submit" name="charger" value="'.__('Charger').'">
        </p>


        <p><input type="submit" name="enregister" value="'.__('Enregistrer la configuration').'"></p>


        <h3><a href="javascript:visibilite(\'optionavance\');"><img name="aChanger" src="images/plus.png" alt="+"></a> '.__('Options avancées').'</h4>
        <div id="optionavance">

        '.$charKO.__('Si vous ne savez pas ce que vous faites ne touchez pas aux options suivantes !').'</p>

        <h4>'.__('Mode debug').'</h4>
            <p>'.clickimage::checked($globalconf,'debug',__('ne pas fermer le popup')).'.</p>

            <p>'.clickimage::checked($globalconf,'h_popup_auto',__('Spécifier les hauteurs du popup')).' :<br />
            <span style="left : 2em; position : relative;">'.
                form::field('h_popup_plier',3,'',$globalconf['h_popup_plier']).'px '.__('options supplémentaires pliées').'</span>
            <span style="left : 3em; position : relative;">'.
                form::field('h_popup_deplier',3,'',$globalconf['h_popup_deplier']).'px '.__('options supplémentaires dépliées').'</span></p>


        <h4>'.__('Miniatures').'</h4>

            <p>'.__('Nom des miniatures (remplacez le nom par <code>%nom%</code> et l\'extension par <code>%ext%</code>)').' : '.form::field('nom_min',30,'',$globalconf['nom_min']).'</p>

            <p>'.__('Qualité jpeg').' :  '.form::field('qualite_jpg',3,3,$globalconf['qualite_jpg']).'</p>

            './*<p>'.clickimage::checked($globalconf,'png_alpha').__('Garder la canal alpha des png')'.</p>*/

            /*<p>'.clickimage::checked($globalconf,'gd_ko').__('En cas de problème avec les libraires GD, cocher cette case. Les fonctions de dotclear seront utilisées mais les fonctionnalité de recadrage, qualité jpg ne fonctionneront pas').'.</p>*/'


        <h4>'.__('Personnalisation des balises').'</strong></h4>

        <p>Remplacer :</p>
        <ul>
            <li>'.__('Le chemin de la miniature par').' <code>%min%</code>.</li>
            <li>'.__('Le chemin de l\'image d\'origine par').' <code>%orig%</code>.</li>
            <li>'.__('Le texte alternatif ou le commentaire par').' <code>%texte%</code>.</li>
            <li>'.__('Le nom de l\'album (plugin lightbox) par').' <code>%album%</code>.</li>
        </ul>

        <p>'.__('En cas d\'utilisation d\'apostrophe protégez les par un antislash').'.</p>

        <h5>'.__('Balise mode wiki').'</h5>

        <p>'.__('Code pour l\'insertion des images <a title="Car plus petites que la taille des miniatures" class="info">non-clickables</a>').':</p>
        <ul id="options_avances">

            <li>
            '.__('Texte à droite de l\'image').' :'.
            form::textArea('code_wiki_gauche',0,0,$globalconf['code_wiki_gauche']).'
            </li>

            <li>
            '.__('Texte à gauche de l\'image').' :'.
            form::textArea('code_wiki_droite',0,0,$globalconf['code_wiki_droite']).'
            </li>

            <li>
            '.__('Image centrée').' :'.
            form::textArea('code_wiki_centre',0,0,$globalconf['code_wiki_centre']).'
            </li>

            <li>
            '.__('Image comme caractère').' :'.
            form::textArea('code_wiki_caract',0,0,$globalconf['code_wiki_caract']).'
            </li>

        </ul>

        <p>'.__('Code pour l\'insertion des images <a title="Car plus grandes que la taille des miniatures" class="info">cliquables</a>').':</p>
        <ul id="options_avances">

            <li>
            '.__('Texte à droite de l\'image').' :'.
            form::textArea('code_wikiclick_gauche',0,0,$globalconf['code_wikiclick_gauche']).'
            </li>

            <li>
            '.__('Texte à gauche de l\'image').' :'.
            form::textArea('code_wikiclick_droite',0,0,$globalconf['code_wikiclick_droite']).'
            </li>

            <li>
            '.__('Image centrée').' :'.
            form::textArea('code_wikiclick_centre',0,0,$globalconf['code_wikiclick_centre']).'
            </li>

            <li>
            '.__('Image comme caractère').' :'.
            form::textArea('code_wikiclick_caract',0,0,$globalconf['code_wikiclick_caract']).'
            </li>

        </ul>


        <h5>'.__('Balise mode HTML').'</h5>

        <p>'.__('Code pour l\'insertion des images <a title="Car plus petites que la taille des miniatures" class="info">non-clickables</a>').':</p>
        <ul id="options_avances">

            <li>
            '.__('Texte à droite de l\'image').' :'.
            form::textArea('code_html_gauche',0,0,$globalconf['code_html_gauche']).'
            </li>

            <li>
            '.__('Texte à gauche de l\'image').' :'.
            form::textArea('code_html_droite',0,0,$globalconf['code_html_droite']).'
            </li>

            <li>
            '.__('Image centrée').' :'.
            form::textArea('code_html_centre',0,0,$globalconf['code_html_centre']).'
            </li>

            <li>
            '.__('Image comme caractère').' :'.
            form::textArea('code_html_caract',0,0,$globalconf['code_html_caract']).'
            </li>

        </ul>

        <p>'.__('Code pour l\'insertion des images <a title="Car plus grandes que la taille des miniatures" class="info">clickables</a>').':</p>
        <ul id="options_avances">

            <li>
            '.__('Texte à droite de l\'image').' :'.
            form::textArea('code_htmlclick_gauche',0,0,$globalconf['code_htmlclick_gauche']).'
            </li>

            <li>
            '.__('Texte à gauche de l\'image').' :'.
            form::textArea('code_htmlclick_droite',0,0,$globalconf['code_htmlclick_droite']).'
            </li>

            <li>
            '.__('Image centrée').' :'.
            form::textArea('code_htmlclick_centre',0,0,$globalconf['code_htmlclick_centre']).'
            </li>

            <li>
            '.__('Image comme caractère').' :'.
            form::textArea('code_htmlclick_caract',0,0,$globalconf['code_htmlclick_caract']).'
            </li

        </ul>

        <p><input type="submit" name="enregister" value="'.__('Enregistrer la configuration').'"></p>
        </form>
        </div>
        <script type="text/javascript">
            visibilite(\'optionavance\');
        </script>
        ');



elseif ($_GET['page'] == 'install')
/*******************************************************************************
/* INSTALLATION
/******************************************************************************/
    buffer::str('
        <h2>ClickImage - '.__('Installation/désinstallation').'</h2>


        <a name="install"></a>
        <h3>'.__('Installation').'</h3>

        <h4>'.__('Ajout du bouton dans la barre d\'outil').'</h4>

        <p>'.__('Traducteur : Expliquez quels sont les modifications, les risques engendré et à quoi elles servent').'</p>

        <ul>
            <li>
                <a href="'.$dir_clickimage.'cp_toolbar.php?quoi=copier" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=320, width=520\'); return false;">'.__('Remplacer automatiquement les fichiers').'</a>.
            </li>
            <li>
                <a href="'.$dir_clickimage.'cp_toolbar.php?quoi=explication" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=320, width=520\'); return false;">'.__('Éditer les fichiers à la main').'</a>.
            </li>
        </ul>

        <p>'.__('Si la barre d\outils n\'apparait plus essayez de vous déconnecter/reconnecter et/ou de vider la cache du navigateur').'</p>


        <h4>'.__('En cas d\'utilisation de l\'ouverture des image dans un popup').'</h4>

        <p>'.__('Dans le fichier').' <code>template.php</code> '.__('de votre thème (ou de celui du thème par défaut si votre thème n\'en possède pas.').' '.__('Cherchez la ligne').'</p>
        <pre>&#060;?php dcPostTrackbackAutoDiscovery(); ?></pre>
        <p>'.__('et ajoutez en dessous').' :</p>
        <pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>


        <h4>'.__('En cas d\'utilisation du plugin lightbox').'</h4>

        <p>'.__('Faites les modifications indiquées dans le plugin').'</p>


        <a name="uninstall"></a>
        <h3>'.__('Désinstallation').'</h3>

        <h4>'.__('Suppression du bouton').'.</h4>

        <p>'.__('Si vous désinstallez clickimage le bouton devient inutile. Il est donc recommander de restauré les fichiers originaux').'.</p>

        <ul>
            <li>
                <a href="'.$dir_clickimage.'cp_toolbar?quoi=restaurer" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=320, width=520\'); return false;">'.__('Restauration automatique des fichiers').'</a>.
            </li>
        </ul>


        <h4>'.__('Supprimer le script d\'ouverture des images dans le popup').'</h4>

        <p>'.__('Dans le fichier <code>template.php</code> de votre thème (ou de celui du thème par defaut si votre thème n\'en possède pas. Supprimez la ligne').'</p>
        <pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>


        <a name="bleme"></a>
        <h3>'.__('En cas de problème').'</h3>

        <p>'.
        __('Vérifiez que vous possédez').' <a href ="'.$site.'?v='.$version.'">'.__('la dernière version').'</a> '.__('du plugin').'.
        </p>
        <p>'.
            __('Contactez-moi sur le forum de ').' <a href="'.$site.'">'.__('mon site').'</a>.
        </p>
        ');

elseif ($_GET['page'] == 'apropos')
/*******************************************************************************
/* APROPOS
/******************************************************************************/
    buffer::str('
    <h2>'.__('ClickImage - Apropos').'</h2>

    <ul id="info">
    <li>'.__('Auteur').' :      <span>Jonas Fourquier</span></li>
    <li>'.__('Site web').' :    <span><a href="'.$site.'">'.$site.'</span></a></li>
    <li>'.__('Version').' :     <span>'.$version.' (<a href ="'.$site.'_checkversion?v='.$version.'">'.__('vérifier s\'il s\'agit de la dernière version').'</a>)</span></li>
    <li>'.__('Licence').' :     <span>'.__('Plugin distribué gratuitement selon les termes de la').' <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public License</span></a></li>
    <li>'.__('Contact').' :     <span>'.__('Problème ? Rapport d\'anomalie ? Contactez moi via le forum de').' <a href="'.$site.'">'.__('mon site').'</a>.</span></li>
    <li>'.__('Contributions / Rapport de bug').' :
        <a href="http://li.an.free.fr/">LiAn</a>,
        Vince,
        lecomte,
        Horace,
        milec.
    </li>');
else
    buffer::str(__('Erreur, merci de rapporter le bug'));
?>
